@import "./initial-variables.scss";
@import "~bulma/sass/utilities/_all";
@import "./derived-variables.scss";

// Setup $colors to use as bulma classes (e.g. 'is-twitter')
$colors: mergeColorMaps(
  (
    "white": (
      $white,
      $black,
    ),
    "black": (
      $black,
      $white,
    ),
    "light": (
      $light,
      $light-invert,
    ),
    "dark": (
      $dark,
      $dark-invert,
    ),
    "primary": (
      $primary,
      $primary-invert,
      $primary-light,
      $primary-dark,
    ),
    "link": (
      $link,
      $link-invert,
      $link-light,
      $link-dark,
    ),
    "info": (
      $info,
      $info-invert,
      $info-light,
      $info-dark,
    ),
    "success": (
      $success,
      $success-invert,
      $success-light,
      $success-dark,
    ),
    "warning": (
      $warning,
      $warning-invert,
      $warning-light,
      $warning-dark,
    ),
    "danger": (
      $danger,
      $danger-invert,
      $danger-light,
      $danger-dark,
    ),
    "grey": (
      $grey-darker,
      $white,
    ),
  ),
  $custom-colors
);

// footer
$footer-background-color: #0a0a0a;
$footer-padding: 0;

// navbar
$navbar-item-img-max-height: 60px;
$navbar-item-hover-color: $primary;

// button
$button-border-color: $primary;
$button-ghost-border-color: $primary;
$button-border-width: 2px;
$button-hover-border-color: $primary;
$button-text-color: $light-text;
$button-color: $light-text;

// dropdown
$dropdown-item-hover-background-color: $primary;
$navbar-dropdown-item-hover-background-color: $primary;
$dropdown-content-shadow: 13px 14px $primary-dark-transparent;
$dropdown-content-padding-bottom: 0;

// title
$title-color: $scheme-invert;

// form
$input-placeholder-color: bulmaRgba($scheme-invert, 0.3);

// box
$box-shadow: none;

// tabs
$tabs-link-hover-color: $primary;
$tabs-boxed-link-focus-border-bottom-color: $primary;
$tabs-boxed-link-focus-background-color: lightpink;
// $tabs-boxed-link-focus-active-background-color: $primary;

//  these somehow doesn't work for profile, idk why, maybe fix whenever you spot this
// $tabs-items-focused-outline: lime;
// $tabs-link-focus-active-border-bottom-color: lime;
// $tabs-link-focus-border-bottom-color: lime;
// $tabs-boxed-link-focus-active-border-bottom-color: lime;
// $tabs-link-focus-active-border-bottom-color:lime;
// $tabs-link-hover-border-bottom-color: lime;
// $tabs-link-focus-border-bottom-color: lime;
// $tabs-boxed-link-focus-border-color: lime;
// $tabs-boxed-link-focus-active-border-bottom-color: lime;
// $tabs-items-focused-outline: lime;

// layout
$container-offset: (2 * $gap);
$container-max-width: $fullhd;

// pagination
$pagination-border-color: $primary;
$pagination-hover-border-color: $primary;
$pagination-focus-border-color: $primary;
$pagination-current-background-color: $primary;
$pagination-disabled-color: pink;
$pagination-disabled-background-color: mediumvioletred;
$pagination-disabled-border-color: mediumvioletred;
$pagination-color: $light-text;
$pagination-active-color: $light-text;

// table
$table-head-cell-color: $text;
$table-color: $text;

// image
$image-placeholder-blur-enabled: false;

// custom colors
$lightpink: lightpink;

$blacklight: #0909098c;

$frosted-glass-background: rgba(12, 12, 12, 0.7);
$frosted-glass-backdrop-filter: blur(20px);
$frosted-glass-light-backdrop-filter: blur(4px);

$sleek-primary-border: 1px solid $primary;